/*
 * C
 *
 * Copyright 2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

#ifndef _USART_FEATURE_LOADER_H
#define _USART_FEATURE_LOADER_H

// -----------------------------------------------------------------------------
// Includes
// -----------------------------------------------------------------------------

#include <stdint.h>

// -----------------------------------------------------------------------------
// Project Functions
// -----------------------------------------------------------------------------


/*
 * @brief Initialize the usart feature loader
 * Must be called after the DbgConsole Init function
 */
void USART_Feature_Loader_Init(void);

/*
 * @brief Disable the usart feature loader
 * Must be called after USART_Feature_Loader_Init
 */
void USART_Feature_Loader_Disable(void);

/*
 * @brief Enable the usart feature loader
 * Must be called after USART_Feature_Loader_Init
 */
void USART_Feature_Loader_Enable(void);

#endif //_USART_FEATURE_LOADER_H
