/*
 * C
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

// -----------------------------------------------------------------------------
// Includes
// -----------------------------------------------------------------------------

#include <arm_math.h>

#include "fsl_powerquad.h"

// -----------------------------------------------------------------------------
// Public functions
// -----------------------------------------------------------------------------

// See the header file for the function documentation
float32_t mej_tan_f32(float32_t value) {
	float32_t cos;
	float32_t sin;

	PQ_CosF32(&value, &cos);
	PQ_SinF32(&value, &sin);

	PQ_DivF32(&sin, &cos, &value);

	return value;
}
// See the header file for the function documentation
float32_t mej_sqrt_f32(float32_t value) {
	PQ_SqrtF32(&value, &value);

	return value;
}

// -----------------------------------------------------------------------------
// EOF
// -----------------------------------------------------------------------------

