# Overview
This project is a wearable-like application. The aim of this application is to demonstrate the capability of MicroEJ to be the software enabler of available IP in various MCU/MPU/SoC such as hardware graphic processor unit (GPU).

The application uses MicroUI and Vivante VGLite Graphics API to make a nice-looking and efficient user interface.

The GPU features used by this application are:
- Blit
- Vector Graphics path with fixed color
- Vector graphics path with gradient
- Matrix transformation (translate, rotate, scale)

# Content
The demo is composed of multiple wearable-inspired tiny applications:
- "Flower" watch face, an elegant face with:
   - vector hands
   - "radar-effect" gradient
   - curved vector text
- "Sport" watch face, a fitness face with:
   - vector hands
   - vector texts
- "Flower Lowpower" watch face, an elegant face with:
   - vector hands
   - refresh on every seconds to demonstrate platform lowpower feature
   - request to bsp of POWER_SAVING performance profile
- "Activity", an activity monitor with:
   - vector circular progress bars with gradient
   - vector text with gradient
- "Heart Rate", a heart rate tracker with:
   - vector line chart with multiple layers of gradients
   - vector texts
- "Compass", a compass with:
   - optimized software rotation algorithm
   - vector text
- "Vector Mascot", a technical demo of complex vector path
- "Vector CircleArc", a technical demo of vector circle arcs
- "VG Font", a technical demo of vector texts
- "Settings", a page for setting various options (languages, etc.)

# Application Flow
On startup, the application displays the "Flower" watch face.

On faces:
- Long press on the touch screen will enter the face selection page.
- Press on buttons will enter the application list.

The face selection page lets the user select one of the three faces available. Select the face by swiping left or right, then press shortly to show the selected watch face.

The application list lets the user select one of the available applications. Use the touch screen to scroll the list, then press shortly to show the selected application.

Return to the application list any time by pressing the buttons.


# Usage
Add the following line to your `module.ivy` or your `ivy.xml`:
> `<dependency org="com.microej.demo.watch.imxrt595" name="application" rev="..."/>`

# Requirements
  - EDC-1.3.2
  - BON 1.4.0
  - SNI 1.3.1
  - MicroUI 3.0.0
  - Drawing 1.0.0
  - MWT 3.0.0
  - Widget 3.0.0
  - Vivante-vglite 0.4.0
  - Vector-font 0.2.0

# Dependencies
_All dependencies are retrieved transitively by Ivy resolver_.

# Source
N/A

# Restrictions
None.
  
---
_Copyright 2019-2021 MicroEJ Corp. All rights reserved._  
_Use of this source code is governed by a BSD-style license that can be found with this software._  
