/*
 * Java
 *
 * Copyright 2019-2021 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
package com.microej.style;

/**
 * Class used to declare the different int used as {@link ej.mwt.stylesheet.selector.ClassSelector}.
 */
public class ClassSelectors {

	/** The class selector for the unit of the label. */
	public static final int LABEL_UNIT = 0;

	/** The class selector for the description of the value widget. */
	public static final int VALUE_WIDGET_DESCRIPTION = 1;

	/** Constant value for the class selector of the application list container. */
	public static final int APPLIST_CONTAINER = 2;

	/** Constant value for the class selector of the application list icons. */
	public static final int APPLIST_ICON = 3;

	/** Constant value for the class selector of the application list names. */
	public static final int APPLIST_TEXT = 4;

	/** The class selector for the image which rendering is based on labels. */
	public static final int APPLIST_LABEL_IMAGE = 5;

	/** The class selector for the Fill Carousel cursor. */
	public static final int WATCHFACE_CAROUSEL_CURSOR = 6;

	/** The class selector for the Message Page. */
	public static final int MESSAGE_PAGE_SCROLL = 7;

	/** The class selector for the element that have no background and are transparent. */
	public static final int NO_BACKGROUND_TRANSPARENT = 8;

	/** The class selector for the title of a page. */
	public static final int PAGE_TITLE = 10;

	/** The class selector for the bottom split of the heart rate page. */
	public static final int HR_BOTTOM_SIMPLE_DOCK = 11;

	/** The class selector for the current value label of the heart rate page. */
	public static final int HR_CURRENT_VALUE = 12;

	/** The class selector for the unit label of the current value of the heart rate page. */
	public static final int HR_CURRENT_VALUE_UNIT = 13;

	/** The class selector for the units labels of the heart rate page. */
	public static final int HR_UNIT = 14;

	/** The class selector for the max and min labels of the heart rate page. */
	public static final int HR_MIN_MAX_VALUE = 15;

	/** The class selector for min image of the heart rate page. */
	public static final int MIN_BPM_IMAGE = 16;

	/** The class selector for the max image of the heart rate page. */
	public static final int MAX_BPM_IMAGE = 17;

	/** The class selector for the canvas of the compass page. */
	public static final int COMPASS_BACKGROUND = 18;

	/** The class selector for the label of the current angle of the compass page. */
	public static final int COMPASS_ANGLE_LABEL = 19;

	/** The class selector for the labels on activity page. */
	public static final int ACTIVITY_TEXT = 20;

	/** The class selector for the stopwatch on activity page. */
	public static final int ACTIVITY_TIME = 21;

	/** The class selector for the icons on activity page. */
	public static final int ACTIVITY_ICONS = 22;

	/** The class selector for the time progress bar background. */
	public static final int ACTIVITY_TIME_PROGRESS_BACKGROUND = 23;

	/** The class selector for the time progress bar. */
	public static final int ACTIVITY_TIME_PROGRESS = 24;

	/** The class selector for the locales list of the parameters page. */
	public static final int PARAMETERS_LOCALES_LIST = 25;

	/** The class selector for each locale toggle of the parameters page. */
	public static final int PARAMETERS_LOCALE_TOGGLE = 26;

	/** The class selector for each locale label of the parameters page. */
	public static final int PARAMETERS_LOCALE_LABEL = 27;

	/** The class selector for the title label of the parameters page. */
	public static final int PARAMETERS_TITLE = 28;

	/** The class selector for the section labels of the parameters page. */
	public static final int PARAMETERS_SECTION_LABEL = 29;

	/** The class selector for the sections of the parameters page. */
	public static final int PARAMETERS_LOCALES_DOCK = 30;

	/** The class selector for the empty message label. */
	public static final int EMPTY_MESSAGE = 31;

	/** The class selector for the compass center image. */
	public static final int COMPASS_CENTER = 32;

	/** The class selector for the calories value. */
	public static final int ACTIVITY_CALORIES = 33;

	/** The class selector for the calories progress bar. */
	public static final int ACTIVITY_CALORIES_PROGRESS = 34;

	/** The class selector for the calories progress bar background. */
	public static final int ACTIVITY_CALORIES_PROGRESS_BACKGROUND = 35;

	/** The class selector for the toggle box. */
	public static final int TOGGLE_BOX = 36;

	/** The class selector for the heart rate chart. */
	public static final int HEART_RATE_CHART = 37;

	/** The class selector for the optimal dimension. */
	public static final int HR_DOCK = 38;

	/** The class selector for the heart rate page unit sections. */
	public static final int HR_UNIT_DOCKS = 39;

	/** The class selector for the left alignment. */
	public static final int LEFT = 40;

	/** The class selector for the right alignment. */
	public static final int RIGHT = 41;

	/** The class selector for the canvas of the vector font page. */
	public static final int VECTORFONT_BACKGROUND = 42;

	/** The class selector for the text 1 of the vector font page. */
	public static final int VECTORFONT_TEXT1_VALUE = 43;

	/** The class selector for the text 2 of the vector font page. */
	public static final int VECTORFONT_TEXT2_VALUE = 44;

	/** The class selector for the text 3 of the vector font page. */
	public static final int VECTORFONT_TEXT3_VALUE = 45;

	/** The class selector for the hexagons of the vector font page. */
	public static final int VECTORFONT_HEXAGONS = 46;

	/** The class selector for the watchface carousel items. */
	public static final int WATCHFACE_CAROUSEL_ITEMS = 47;

	/** The class selector for the elements that have no background but are opaque. */
	public static final int NO_BACKGROUND_OPAQUE = 48;

	private ClassSelectors() {
		// Prevent initialization.
	}
}
