/*
 * Copyright 2020-2021 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
package com.microej.demo.watch.watchface.simple;

import com.microej.demo.watch.util.WatchImageLoader;
import com.microej.demo.watch.util.WatchfaceDesktop;

import ej.microui.display.Image;
import ej.mwt.style.EditableStyle;
import ej.mwt.style.background.ImageBackground;
import ej.mwt.stylesheet.Stylesheet;
import ej.mwt.stylesheet.cascading.CascadingStylesheet;
import ej.mwt.stylesheet.selector.TypeSelector;

/**
 * A desktop that shows the Simple watchface.
 */
public class SimpleWatchfaceDesktop extends WatchfaceDesktop {

	private static final String BACKGROUND_PATH = "simple_background"; //$NON-NLS-1$

	/**
	 * Creates a Simple watchface desktop.
	 */
	public SimpleWatchfaceDesktop() {
		super(new SimpleWatchface(), createStylesheet());
	}

	private static Stylesheet createStylesheet() {
		CascadingStylesheet stylesheet = new CascadingStylesheet();

		// watchface
		EditableStyle style = stylesheet.getSelectorStyle(new TypeSelector(SimpleWatchface.class));
		Image backgroundImage = WatchImageLoader.loadImage(BACKGROUND_PATH);
		style.setBackground(new ImageBackground(backgroundImage));

		return stylesheet;
	}
}
