/*
 * Java
 *
 * Copyright 2020 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
package com.microej.demo.watch.watchface.sport.path;

import com.microej.demo.watch.util.path.watchface.Hand;
import com.microej.vivante.utils.SvgImage;

/**
 * A vector graphics that represents the hour hand of the sport watchface.
 */
public class SportHourHand extends Hand {

	/** Constant value for the relative x-coordinate of the center of rotation. */
	private static final int X_OFFSET = 14;

	/** Constant value for the relative y-coordinate of the center of rotation. */
	private static final int Y_OFFSET = 127;

	/**
	 * Creates the hand by describing its path.
	 */
	public SportHourHand() {
		super(SvgImage.getSvgImage("sport_hour.svg"), X_OFFSET, Y_OFFSET); //$NON-NLS-1$
	}
}
