/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.cssgenerator.selector;

import java.io.StringWriter;
import java.util.Hashtable;
import java.util.Map;

import org.w3c.css.sac.Condition;
import org.w3c.css.sac.SiblingSelector;

import com.steadystate.css.parser.selectors.GeneralAdjacentSelectorImpl;

/**
 *
 */
public class GeneralSiblingCombinator implements Selector {

	private static final String GENERAL_SIBLING_SELECTOR_VAR_PREFIX = "generalSibling_";
	private final Map<String, String> generalSiblingSelectorVars = new Hashtable<String, String>();

	@Override
	public String generate(Condition c, StringWriter writer) throws IllegalArgumentException {
		throw new RuntimeException();
	}

	@Override
	public String generate(org.w3c.css.sac.Selector s, StringWriter writer) throws IllegalArgumentException {
		SiblingSelector siblingSelector = this.get(s);

		String selectorVar = SelectorFactory.create(siblingSelector.getSelector(), writer);
		String siblingSelectorVar = SelectorFactory.create(siblingSelector.getSiblingSelector(), writer);
		StringBuilder generalSiblingSelector = new StringBuilder(selectorVar).append(siblingSelectorVar);
		String generalSiblingSelectorVar = this.generalSiblingSelectorVars.get(generalSiblingSelector.toString());
		if (generalSiblingSelectorVar != null) {
			return generalSiblingSelectorVar;
		}
		StringBuilder generalSiblingSelectorVarSb = new StringBuilder(GENERAL_SIBLING_SELECTOR_VAR_PREFIX)
				.append(selectorVar).append("_").append(siblingSelectorVar);
		writer.append(this.getClassName()).append(" ").append(generalSiblingSelectorVarSb);
		writer.append(" = new ");
		writer.append(this.getClassName()).append('(');
		writer.append(selectorVar);
		writer.append(", ");
		writer.append(siblingSelectorVar);
		writer.append(");\n");
		this.generalSiblingSelectorVars.put(generalSiblingSelector.toString(), generalSiblingSelectorVarSb.toString());
		return generalSiblingSelectorVarSb.toString();
	}

	private SiblingSelector get(org.w3c.css.sac.Selector s) {
		if (!this.matches(s)) {
			throw new IllegalArgumentException("Given selector is not a SiblingSelector");
		}

		return (SiblingSelector) s;
	}

	@Override
	public boolean matches(Condition condition) {
		return false;
	}

	@Override
	public String getClassName() {
		return "ej.style.selector.combinator.GeneralSiblingCombinator";
	}

	@Override
	public boolean matches(org.w3c.css.sac.Selector selector) {
		return selector instanceof GeneralAdjacentSelectorImpl;
	}

}
