/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.description;

import java.util.ServiceLoader;

/**
 * The interface {@code StyleDescriptionPackage} allows to load a set of descriptions into the
 * {@link StyleDescriptionFactory}. {@link StyleDescriptionFactory} retrieves implementations of this interface using
 * {@link ServiceLoader}.
 */
public interface StyleDescriptionPackage {

	/**
	 * Loads all CSS descriptions into the factory.
	 *
	 * @see StyleDescriptionFactory
	 * @see StyleDescription
	 */
	void loadDescriptions();

}
