/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.runtime.reader;

import java.io.IOException;

import ej.giml.GIMLReader;

/**
 * Factory to create {@link GIMLReader}.
 */
public interface GIMLReaderFactory {

	/**
	 * Creates a new {@link GIMLReader} that loads the GIML Binary referenced by the given path.
	 * @param gimlBinaryPath absolute path to the GIML binary resource.
	 * @throws IOException on error.
	 * @return a {@link GIMLReader} for the given GIML Binary.
	 */
	public GIMLReader newGIMLReader(String gimlBinaryPath) throws IOException;

}
