package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;

public class FieldDeclaration extends AbstractVariableDeclaration{
	
	public static FieldDeclaration ARRAYLENGTH = new FieldDeclaration();
	
	public TypeReference declarationType;	//type where the field is define

	private FieldDeclaration(){
		// reserved for .length field
		super(null, null, null); 
	}
	
	public FieldDeclaration(Modifiers modifiers, TypeReference returnType, TypeReference declarationType, char[] name){
		super( modifiers, returnType, name);
		this.declarationType = declarationType;
		this.modifiers = modifiers;
	}
	
	public FieldDeclaration(Modifiers modifiers, TypeReference returnType,  TypeReference declarationType, char[] name, Expression initExp){
		super( modifiers, returnType, name, initExp);
		this.declarationType = declarationType;
		this.modifiers = modifiers;
	}
	
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateFieldDeclaration(this);
	}
	
	public boolean isArrayLength(){
		return this == ARRAYLENGTH;
	}
	

}
