package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;

/**
 * Java statement : 
 * 		for ( declarations,initialization; condition; updates) 
 *			statement	
 *	for example :
 *		for(int i, j=i=0; i=0, i++,j--) { ...}
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class ForStatement extends Statement {
	
	//initialization and declaration are exclusive : if initialization.length != 0, declarations == 0
	public AbstractVariableDeclaration[] declarations;	//never null
	public Expression[] initialization;					//never null
	
	public Expression condition;	//can be null if no condition
	public Expression[] updates;	//never null
	public Statement statement;		// never null
	
	public ForStatement( AbstractVariableDeclaration[] declarations, Expression condition, Expression[] updates, Statement statement) {
		this.declarations = declarations;
		this.initialization = new Expression[0];
		this.condition= condition;
		this.updates = updates;
		this.statement= statement;
	}
	
	public ForStatement( Expression[] initialization, Expression condition, Expression[] updates, Statement statement) {
		this.declarations = new AbstractVariableDeclaration[0];
		this.initialization = initialization;
		this.condition= condition;
		this.updates = updates;
		this.statement= statement;
	}
	
	@Override
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateForStatement( this);
	}
	

}
