package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;
import com.is2t.java.nodes.TypeReference;

/**
 * Java Expression :
 * 		new Object[x][y];
 * 	or  new int[][] {new int[]{1}, new int[]{2}};
 * 
 * x,y are parameters.
 * new int[]{1} and new int[]{2} are initialValues.
 * 
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class ArrayAllocation extends Allocation {
	
	public Expression[] initialValues;	// may be null; if not null, parameters.length!=0

	public ArrayAllocation( TypeReference type, Expression[] parameters){
		super( type, parameters);
		// initialValues = null; vm dones
	}
	
	public ArrayAllocation( Expression[] initialValues, TypeReference type){
		super( type, null);
		this.initialValues= initialValues;
	}
	
	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateArrayAllocation( this);
		
	}
	
	public int getDimensions() {
		return type.dimensions;
	}
	
}
