/*
 * Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
 * Copyright (C) 2014-2016, IS2T - EDC compliance and optimizations.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

package com.is2t.support.net.util;

import com.is2t.tools.ArrayTools;

public class NetTools {

	public static Object[] split(String string, String separator)
			throws NullPointerException, IndexOutOfBoundsException {
		Object[] array = new String[0];
		// manage first elements
		int start = 0;
		int end = string.indexOf(separator);
		int separatorLength = separator.length();

		while (end != -1) {
			String element = string.substring(start, end);
			if (element.length() > 0) {
				array = ArrayTools.add(array, element);
			}
			start = end + separatorLength;
			end = string.indexOf(separator, start);
		}
		// manage last element
		String element = string.substring(start, string.length());
		if (element.length() > 0) {
			array = ArrayTools.add(array, element);
		}
		return array;
	}
}
