/*
 * Java
 *
 * Copyright 2020-2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante.path;

import java.nio.ByteBuffer;

/**
 * Expected to be an immutable so that it can be passed as-is to native side
 */
public class PathParserS8 extends PathParserBase {
	/**
	 * Class constructor
	 */
	public static PathParserS8 instance = null;

	/**
	 * Get the instance of the PathParser8 object
	 *
	 * @return object instance
	 */
	public static PathParserS8 getInstance() {
		if (instance == null) {
			instance = new PathParserS8();
		}

		return instance;
	}

	@Override
	protected double getCommand(ByteBuffer b) {
		return b.get();
	}

	@Override
	protected double getCoordinate(ByteBuffer b) {
		return b.get();
	}
}
