/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.ecom.wifi.natives;

/**
 *
 */
public interface WifiCapabilityNativeConstants {

	/**
	 * The Wi-Fi module can act as a client and as an access point but not at the same time.
	 */
	public static final int BOTH_EXCLUSIVE = 0;

	/**
	 * The Wi-Fi module can act as a client and as an access point at the same time.
	 */
	public static final int BOTH_SIMULTANEOUS = 1;
	/**
	 * Client.
	 *
	 * It is possible to join an existing wireless networks. The Wi-Fi module acts as a client.
	 */
	public static final int CLIENT = 2;
	/**
	 * SoftAP.
	 *
	 * It is possible to create a new wireless network. The Wi-Fi module acts as
	 * a access point.
	 */
	public static final int SOFT_AP = 3;
}
