/*
 * Java
 *
 * Copyright 2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.vector;

/**
 * A 2D transformation matrix.
 */
public class Matrix {

	/**
	 * Creates a new instance of transformation matrix. All the values are zero.
	 */
	public Matrix() {
		throw new RuntimeException();
	}

	/**
	 * Sets this matrix to an identity matrix.
	 */
	public void identity() {
		throw new RuntimeException();
	}

	/**
	 * Sets this matrix to an identity matrix with a translation of (x, y) vector.
	 *
	 * @param x
	 *            the translation on x axis
	 * @param y
	 *            the translation on y axis
	 */
	public void init(float x, float y) {
		throw new RuntimeException();
	}

	/**
	 * Translates this matrix with the vector (x, y).
	 *
	 * @param x
	 *            the translation on x axis
	 * @param y
	 *            the translation on y axis
	 */
	public void translate(float x, float y) {
		throw new RuntimeException();
	}

	/**
	 * Rotates this matrix with the given angle in degrees.
	 *
	 * @param angleDegrees
	 *            the rotation angle in degrees
	 */
	public void rotate(float angleDegrees) {
		throw new RuntimeException();
	}

	/**
	 * Scales this matrix.
	 *
	 * @param scaleX
	 *            the scale to apply on x axis
	 * @param scaleY
	 *            the scale to apply on y axis
	 */
	public void scale(float scaleX, float scaleY) {
		throw new RuntimeException();
	}
}
